classification
Title: bdist_rpm: INSTALLED_FILES does not use __pycache__
Type: behavior Stage: resolved
Components: Distutils, Distutils2, Tests Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: Vjacheslav.Fyodorov, alexis, eric.araujo, pitrou, python-dev, skrah
Priority: normal Keywords:

Created on 2011-10-31 22:38 by skrah, last changed 2015-01-08 08:37 by Vjacheslav.Fyodorov. This issue is now closed.

Messages (6)
msg146748 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2011-10-31 22:38
The failures seen on the Fedora buildbot are caused by the fact that
INSTALLED_FILES does not use __pycache__:

[stefan@fedora-14-i386 foo]$ cat build/bdist.linux-i686/rpm/BUILD/foo-0.1/INSTALLED_FILES
/usr/local/lib/python3.3/site-packages/foo.py
/usr/local/lib/python3.3/site-packages/foo.pyc
/usr/local/lib/python3.3/site-packages/foo.pyo
/usr/local/lib/python3.3/site-packages/foo-0.1-py3.3.egg-info



I'm not familiar with rpm, so I've no clue at which point this
file is generated.
msg146845 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-11-02 16:50
bdist_rpm uses the record option of install to create INSTALLED_FILES.

install delegates to the get_output method of install_* commands to build its record.

install_lib has buggy code that appends 'c' or 'o' instead of using imp functions.  I have expanded one test and successfully reproduced the bug; next I will fix the code.
msg146887 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-11-03 01:51
New changeset 2c0253d4d9ba by Antoine Pitrou in branch '3.2':
Issue #13307: fix bdist_rpm test failures
http://hg.python.org/cpython/rev/2c0253d4d9ba

New changeset eb2991f7cdc8 by Antoine Pitrou in branch 'default':
Issue #13307: fix bdist_rpm test failures
http://hg.python.org/cpython/rev/eb2991f7cdc8
msg146888 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-11-03 01:52
Should be fixed now (verified here on Mageia).
msg146937 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-11-03 15:24
I wrote the same fix this night :)
msg233627 - (view) Author: Vjacheslav Fyodorov (Vjacheslav.Fyodorov) Date: 2015-01-08 08:37
Now in 3.4 Fedora 21
History
Date User Action Args
2015-01-08 08:37:40Vjacheslav.Fyodorovsetnosy: + Vjacheslav.Fyodorov

messages: + msg233627
versions: + Python 3.4, - 3rd party, Python 3.2, Python 3.3
2011-11-03 15:24:57eric.araujosetmessages: + msg146937
2011-11-03 01:52:08pitrousetstatus: open -> closed

dependencies: - distutils doesn't byte-compile .py files to __pycache__ during installation

nosy: + pitrou
messages: + msg146888
resolution: fixed
stage: resolved
2011-11-03 01:51:19python-devsetnosy: + python-dev
messages: + msg146887
2011-11-02 16:54:11eric.araujosetdependencies: + distutils doesn't byte-compile .py files to __pycache__ during installation
2011-11-02 16:50:08eric.araujosetassignee: eric.araujo

components: + Distutils, Distutils2
title: test_bdist_rpm: INSTALLED_FILES does not use __pycache__ -> bdist_rpm: INSTALLED_FILES does not use __pycache__
nosy: + alexis
versions: + 3rd party, Python 3.2
messages: + msg146845
2011-10-31 22:38:37skrahcreate